:root {
  --white: #fff;
  --ibot-color-primary: #0074d9;
  --ibot-gray-100: #f8f9fa;
  --ibot-gray-200: #e9ecef;
  --ibot-gray-300: #dee2e6;
  --ibot-gray-400: #ced4da;
  --ibot-gray-500: #adb5bd;
  --ibot-gray-text-muted: #9d9d9d;
  --ibot-gray-600: #6c757d;
  --ibot-gray-700: #495057;
  --ibot-gray-800: #373a41;
  --ibot-gray-900: #212529;
  --ibot-gray-base: #ddd;
  --ibot-color-success: #5cb85c;
  --ibot-bg-color-success: #c9e8bc;
  --ibot-color-info: #434343;
  --ibot-color-warning:#f0ad4e;
  --ibot-color-danger: #ca4949;
  --ibot-color-inverse:#288c52;
  --ibot-color-amarillo:#ffffce;
  --spacing-value-1: .5rem;
  --spacing-value-2: 1rem;
  --spacing-value-3: 1.5rem;
  --spacing-value-4: 2rem; /* 20px */
  --spacing-value-5: 2.5rem; /* 25px */
  --spacing-value-6: 3rem; /* 30px */
  --spacing-value-7: 3.5rem; /* 35px */
}

html {
  scroll-behavior: smooth;
}

/*** Utilidades ***/
.w-100 {
  width: 100% !important;
}

.bg-amarillo {
  background-color: var(--ibot-color-amarillo);
}

:not(.input-group-btn) > .btn {
  white-space: normal;
}

.mt-auto {
  margin-top: auto;
}

.mt-0 {
  margin-top: var(--spacing-value-0);
}

.mt-1 {
  margin-top: var(--spacing-value-1);
}

.mt-2 {
  margin-top: var(--spacing-value-2);
}

.mt-3 {
  margin-top: var(--spacing-value-3);
}

.mt-4 {
  margin-top: var(--spacing-value-4);
}

.mt-5 {
  margin-top: var(--spacing-value-5);
}

.mt-6 {
  margin-top: var(--spacing-value-6);
}

.mt-7 {
  margin-top: var(--spacing-value-7);
}

.mr-auto {
  margin-right: auto;
}

.mr-0 {
  margin-right: var(--spacing-value-0);
}

.mr-1 {
  margin-right: var(--spacing-value-1);
}

.mr-2 {
  margin-right: var(--spacing-value-2);
}

.mr-3 {
  margin-right: var(--spacing-value-3);
}

.mr-4 {
  margin-right: var(--spacing-value-4);
}

.mr-5 {
  margin-right: var(--spacing-value-5);
}

.mr-6 {
  margin-right: var(--spacing-value-6);
}

.mr-7 {
  margin-right: var(--spacing-value-7);
}

.mb-auto {
  margin-bottom: auto;
}

.mb-0 {
  margin-bottom: var(--spacing-value-0);
}

.mb-1 {
  margin-bottom: var(--spacing-value-1);
}

.mb-2 {
  margin-bottom: var(--spacing-value-2);
}

.mb-3 {
  margin-bottom: var(--spacing-value-3);
}

.mb-4 {
  margin-bottom: var(--spacing-value-4);
}

.mb-5 {
  margin-bottom: var(--spacing-value-5);
}

.mb-6 {
  margin-bottom: var(--spacing-value-6);
}

.mb-7 {
  margin-bottom: var(--spacing-value-7);
}

.ml-auto {
  margin-left: auto;
}

.ml-0 {
  margin-left: var(--spacing-value-0);
}

.ml-1 {
  margin-left: var(--spacing-value-1);
}

.ml-2 {
  margin-left: var(--spacing-value-2);
}

.ml-3 {
  margin-left: var(--spacing-value-3);
}

.ml-4 {
  margin-left: var(--spacing-value-4);
}

.ml-5 {
  margin-left: var(--spacing-value-5);
}

.ml-6 {
  margin-left: var(--spacing-value-6);
}

.ml-7 {
  margin-left: var(--spacing-value-7);
}

.mx-0 {
  margin-right: var(--spacing-value-0);
  margin-left: var(--spacing-value-0);
}

.my-0 {
  margin-top: var(--spacing-value-0);
  margin-bottom: var(--spacing-value-0);
}

.mx-1 {
  margin-right: var(--spacing-value-1);
  margin-left: var(--spacing-value-1);
}

.my-1 {
  margin-top: var(--spacing-value-1);
  margin-bottom: var(--spacing-value-1);
}

.mx-2 {
  margin-right: var(--spacing-value-2);
  margin-left: var(--spacing-value-2);
}

.my-2 {
  margin-top: var(--spacing-value-2);
  margin-bottom: var(--spacing-value-2);
}

.mx-3 {
  margin-right: var(--spacing-value-3);
  margin-left: var(--spacing-value-3);
}

.my-3 {
  margin-top: var(--spacing-value-3);
  margin-bottom: var(--spacing-value-3);
}

.mx-4 {
  margin-right: var(--spacing-value-4);
  margin-left: var(--spacing-value-4);
}

.my-4 {
  margin-top: var(--spacing-value-4);
  margin-bottom: var(--spacing-value-4);
}

.mx-5 {
  margin-right: var(--spacing-value-5);
  margin-left: var(--spacing-value-5);
}

.my-5 {
  margin-top: var(--spacing-value-5);
  margin-bottom: var(--spacing-value-5);
}

.mx-6 {
  margin-right: var(--spacing-value-6);
  margin-left: var(--spacing-value-6);
}

.my-6 {
  margin-top: var(--spacing-value-6);
  margin-bottom: var(--spacing-value-6);
}

.mx-7 {
  margin-right: var(--spacing-value-7);
  margin-left: var(--spacing-value-7);
}

.my-7 {
  margin-top: var(--spacing-value-7);
  margin-bottom: var(--spacing-value-7);
}

.px-0 {
  padding-right: var(--spacing-value-0);
  padding-left: var(--spacing-value-0);
}

.py-0 {
  padding-top: var(--spacing-value-0);
  padding-bottom: var(--spacing-value-0);
}

.pt-0 {
  padding-top: var(--spacing-value-0);
}

.pr-0 {
  padding-right: var(--spacing-value-0);
}

.pb-0 {
  padding-bottom: var(--spacing-value-0);
}

.pl-0 {
  padding-left: var(--spacing-value-0);
}

.px-1 {
  padding-right: var(--spacing-value-1);
  padding-left: var(--spacing-value-1);
}

.py-1 {
  padding-top: var(--spacing-value-1);
  padding-bottom: var(--spacing-value-1);
}

.pt-1 {
  padding-top: var(--spacing-value-1);
}

.pr-1 {
  padding-right: var(--spacing-value-1);
}

.pb-1 {
  padding-bottom: var(--spacing-value-1);
}

.pl-1 {
  padding-left: var(--spacing-value-1);
}

.px-2 {
  padding-right: var(--spacing-value-2);
  padding-left: var(--spacing-value-2);
}

.py-2 {
  padding-top: var(--spacing-value-2);
  padding-bottom: var(--spacing-value-2);
}

.pt-2 {
  padding-top: var(--spacing-value-2);
}

.pr-2 {
  padding-right: var(--spacing-value-2);
}

.pb-2 {
  padding-bottom: var(--spacing-value-2);
}

.pl-2 {
  padding-left: var(--spacing-value-2);
}

.px-3 {
  padding-right: var(--spacing-value-3);
  padding-left: var(--spacing-value-3);
}

.py-3 {
  padding-top: var(--spacing-value-3);
  padding-bottom: var(--spacing-value-3);
}

.pt-3 {
  padding-top: var(--spacing-value-3);
}

.pr-3 {
  padding-right: var(--spacing-value-3);
}

.pb-3 {
  padding-bottom: var(--spacing-value-3);
}

.pl-3 {
  padding-left: var(--spacing-value-3);
}

.px-4 {
  padding-right: var(--spacing-value-4);
  padding-left: var(--spacing-value-4);
}

.py-4 {
  padding-top: var(--spacing-value-4);
  padding-bottom: var(--spacing-value-4);
}

.pt-4 {
  padding-top: var(--spacing-value-4);
}

.pr-4 {
  padding-right: var(--spacing-value-4);
}

.pb-4 {
  padding-bottom: var(--spacing-value-4);
}

.pl-4 {
  padding-left: var(--spacing-value-4);
}

.px-5 {
  padding-right: var(--spacing-value-5);
  padding-left: var(--spacing-value-5);
}

.py-5 {
  padding-top: var(--spacing-value-5);
  padding-bottom: var(--spacing-value-5);
}

.pt-5 {
  padding-top: var(--spacing-value-5);
}

.pr-5 {
  padding-right: var(--spacing-value-5);
}

.pb-5 {
  padding-bottom: var(--spacing-value-5);
}

.pl-5 {
  padding-left: var(--spacing-value-5);
}

.px-6 {
  padding-right: var(--spacing-value-6);
  padding-left: var(--spacing-value-6);
}

.py-6 {
  padding-top: var(--spacing-value-6);
  padding-bottom: var(--spacing-value-6);
}

.pt-6 {
  padding-top: var(--spacing-value-6);
}

.pr-6 {
  padding-right: var(--spacing-value-6);
}

.pb-6 {
  padding-bottom: var(--spacing-value-6);
}

.pl-6 {
  padding-left: var(--spacing-value-6);
}

.px-7 {
  padding-right: var(--spacing-value-7);
  padding-left: var(--spacing-value-7);
}

.py-7 {
  padding-top: var(--spacing-value-7);
  padding-bottom: var(--spacing-value-7);
}

.pt-7 {
  padding-top: var(--spacing-value-7);
}

.pr-7 {
  padding-right: var(--spacing-value-7);
}

.pb-7 {
  padding-bottom: var(--spacing-value-7);
}

.pl-7 {
  padding-left: var(--spacing-value-7);
}

.flex-row {
  flex-direction: row;
}

.flex-column {
  flex-direction: column;
}

.justify-content-center {
  justify-content: center;
}

.justify-content-between {
  justify-content: space-between;
}

.justify-content-end {
  justify-content: flex-end;
}

.align-items-end {
  align-items: flex-end;
}

.align-self-end {
  align-self: flex-end;
}

.gap-0 {
  gap: 0;
}

.gap-1 {
  gap: var(--spacing-value-1);
}

.gap-2 {
  gap: var(--spacing-value-2);
}

.gap-3 {
  gap: var(--spacing-value-3);
}

.gap-4 {
  gap: var(--spacing-value-4);
}

@media (min-width: 768px) {
  .d-sm-flex {
    display: flex !important;
  }
  .flex-sm-row {
    flex-direction: row;
  }
  .flex-sm-column {
    flex-direction: column;
  }
  .justify-content-sm-center {
    justify-content: center !important;
  }
  .justify-content-sm-between {
    justify-content: space-between !important;
  }
  .justify-content-sm-end {
    justify-content: flex-end !important;
  }
}
@media (min-width: 992px) {
  .d-md-flex {
    display: flex !important;
  }
  .flex-md-row {
    flex-direction: row;
  }
  .flex-md-column {
    flex-direction: column;
  }
  .justify-content-md-center {
    justify-content: center !important;
  }
  .justify-content-md-between {
    justify-content: space-between !important;
  }
  .justify-content-md-end {
    justify-content: flex-end !important;
  }
}
.text-break {
  word-break: break-word !important;
  overflow-wrap: break-word !important;
}

@media (min-width: 768px) {
  .text-sm-right {
    text-align: right;
  }
}
@media (min-width: 992px) {
  .text-md-right {
    text-align: right;
  }
}
/*** Ibot ***/
[class*=ibot-border-bottom] {
  border-bottom-width: 1px;
  border-bottom-style: solid;
  border-bottom-color: var(--ibot-gray-base);
}

[class*=ibot-border-bottom-2] {
  border-bottom-width: 2px;
}

.ibot-border-bottom-primary {
  border-bottom-color: var(--ibot-color-primary);
}

.ibot-border-bottom-success {
  border-bottom-color: var(--ibot-color-success);
}

.ibot-border-bottom-info {
  border-bottom-color: var(--ibot-color-info);
}

.ibot-border-bottom-warning {
  border-bottom-color: var(--ibot-color-warning);
}

.ibot-border-bottom-danger {
  border-bottom-color: var(--ibot-color-danger);
}

.ibot-border-bottom-inverse {
  border-bottom-color: var(--ibot-color-inverse);
}

.ibot-bg-gray-base {
  background-color: var(--ibot-gray-base);
}

.ibot-text-gray-400 {
  color: var(--ibot-gray-400);
}

.ibot-control-label {
  margin-bottom: 0;
  padding-top: 0.5rem;
}

.ibot-control-field {
  margin-bottom: 1rem;
}

.panel .panel .panel-heading {
  color: var(--ibot-color-primary);
}

.ibot-panel {
  padding: 1.5rem;
}

.ibot-panel .panel-heading {
  margin-bottom: 1.2rem;
}

.ibot-panel-like-heading {
  margin-bottom: 2rem;
  padding: 10px 0;
  color: #9c6b01;
  background-color: #fff;
  border-bottom: 1px solid #ddd;
}

.ibot-panel-like-heading__title {
  margin-top: 0;
  margin-bottom: 0;
  min-height: 21px;
  font-size: 17px;
  color: inherit;
}

/** ibot-panel__info-block */
.ibot-panel__info-block {
  margin-bottom: var(--spacing-value-4);
}

.ibot-panel__info-block__title-wrapper,
.ibot-panel__info-block__label,
.ibot-panel__info-block__value-wrapper {
  margin-bottom: var(--spacing-value-3);
}

.ibot-panel__info-block__title {
  font-weight: bold;
}

.ibot-panel__info-block__row {
  margin-bottom: var(--spacing-value-2);
}

.ibot-panel__info-block__value {
  display: block;
  border-bottom: 1px solid #ddd;
}

@media (min-width: 768px) {
  .ibot-panel__info-block:not(.ibot-panel__info-block--full-width) .ibot-panel__info-block__title,
  .ibot-panel__info-block__label {
    text-align: right;
  }
}
/** / ibot-panel__info-block */
.panel-heading.ibot-panel-heading__route {
  --arrow-color: var(--ibot-gray-base);
  --bg-disabled: var(--ibot-gray-100);
  --bg-active: var(--white);
  display: flex;
  flex-wrap: wrap;
  margin: 0;
  padding: 0;
  background-color: var(--bg-disabled);
  overflow: hidden;
}

.ibot-panel-heading__route__step {
  position: relative;
  display: flex;
  align-items: center;
  padding: 1rem 3rem;
  min-height: 21px;
  color: var(--arrow-color);
  background-color: var(--bg-disabled);
}

.ibot-panel-heading__route__step > .ibot-panel-heading__route__step-content {
  position: relative;
}

.ibot-panel-heading__route__step.current {
  color: inherit;
  background-color: var(--bg-active);
}

.ibot-panel-heading__route__step:not(:first-child) {
  padding-left: calc(20px + 3rem);
}

.ibot-panel-heading__route__step:before,
.ibot-panel-heading__route__step:after {
  position: absolute;
  left: 2px;
  content: "";
  display: block;
  width: 20px;
  height: 21px;
  border-top: 21px solid transparent;
  border-bottom: 21px solid transparent;
  border-left: 20px solid var(--bg-disabled);
}

.ibot-panel-heading__route__step:after {
  left: 0;
}

.ibot-panel-heading__route__step:not(:first-child):before {
  background-color: inherit;
  border-left: 20px solid var(--arrow-color);
}

.ibot-panel-heading__route__step.current + .ibot-panel-heading__route__step:after {
  border-left-color: var(--bg-active);
}

.ibot-panel-heading__route__step:first-child:before,
.ibot-panel-heading__route__step:first-child:after {
  content: unset;
}

.ibot-panel-heading__route__step:last-child {
  flex-grow: 1;
}

/** ibot-datafield */
.ibot-datafield {
  margin-bottom: var(--spacing-value-4);
}

.ibot-datafield__title-wrapper,
.ibot-datafield__value-wrapper {
  margin-bottom: var(--spacing-value-3);
}

.ibot-datafield__title {
  font-weight: bold;
}

.ibot-datafield__row,
.ibot-datafield__label {
  margin-bottom: var(--spacing-value-2);
}

.ibot-datafield__value {
  display: block;
  border-bottom: 1px solid #ddd;
}

/** / ibot-datafield */
.ibot-fieldset {
  padding: 1rem;
  padding-bottom: 2rem;
  margin-bottom: 2rem;
  border: 1px solid var(--ibot-gray-400);
}

.ibot-fieldset__legend {
  display: inline-flex;
  justify-content: space-between;
  align-items: center;
  gap: 1rem;
  margin-bottom: 1rem;
  padding: 0 1rem;
  width: auto;
  color: var(--ibot-color-primary);
  border-color: transparent;
}

.ibot-fieldset__title {
  margin: 0;
}

.ibot-fieldset--vertical {
  display: flex;
  flex-direction: column;
  gap: 2rem;
  width: 100%;
  height: 100%;
}

/** Tabs **/
.tab-content .tab-pane.active {
  padding: 2rem 2.25rem;
  background-color: var(--white);
  border: 1px solid var(--ibot-gray-base);
}

#tabla-buscador-titulares tr.seleccionado {
  background-color: var(--ibot-bg-color-success);
}